API Reference
Withdraw the caller's active quote
DELETE
/
v1
/
auctions
/
{auctionID}
/
quotes
Withdraw the caller's active quote
curl --request DELETE \
--url https://agora.kairos.trade/v1/auctions/{auctionID}/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://agora.kairos.trade/v1/auctions/{auctionID}/quotes"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://agora.kairos.trade/v1/auctions/{auctionID}/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quote": {
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": "<string>",
"price_atoms": 5000,
"max_executable_quantity_atoms": 123,
"receive_sequence": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"status": "ACTIVE"
},
"duplicate": true
}{
"error": "invalid_auction_id"
}{
"error": "unauthorized",
"message": "authentication required"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "IDEMPOTENCY_CONFLICT",
"message": "IDEMPOTENCY_CONFLICT"
}{
"error": "auction_rejected",
"message": "auction is not open"
}{
"error": "auction_mutation_rate_limited",
"message": "auction mutation rate limit exceeded"
}{
"error": "internal_error",
"message": "auction request could not be completed"
}{
"error": "auction_owner_unavailable"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
1 - 200Path Parameters
Canonical UUID whose first character is the owner shard (0, 1, or 2).
Was this page helpful?
⌘I
Withdraw the caller's active quote

